Summary: acpid version 1.0.10-r3
Name: acpid
Version: 1.0.10
Release: r3.0
License: GPLv2+
Group: base
Packager: Wind River <info@windriver.com>
URL: http://sourceforge.net/projects/acpid/
BuildRequires: virtual/x86_64-wrs-linux-gcc
BuildRequires: virtual/libc
BuildRequires: virtual/x86_64-wrs-linux-compilerlibs
BuildRequires: update-rc.d-native
Requires: rtld(GNU_HASH)
Requires: libc.so.6(GLIBC_2.3)(64bit)
Requires: libc.so.6()(64bit)
Requires: libc6 >= 2.18+4.8
Requires: libc.so.6(GLIBC_2.2.5)(64bit)
Requires: libc.so.6(GLIBC_2.3.4)(64bit)
Requires: /bin/sh
Requires(post): rtld(GNU_HASH)
Requires(post): libc.so.6(GLIBC_2.3)(64bit)
Requires(post): libc.so.6()(64bit)
Requires(post): libc6 >= 2.18+4.8
Requires(post): libc.so.6(GLIBC_2.2.5)(64bit)
Requires(post): libc.so.6(GLIBC_2.3.4)(64bit)
Requires(post): /bin/sh
Requires(preun): rtld(GNU_HASH)
Requires(preun): libc.so.6(GLIBC_2.3)(64bit)
Requires(preun): libc.so.6()(64bit)
Requires(preun): libc6 >= 2.18+4.8
Requires(preun): libc.so.6(GLIBC_2.2.5)(64bit)
Requires(preun): libc.so.6(GLIBC_2.3.4)(64bit)
Requires(preun): /bin/sh
Requires(postun): rtld(GNU_HASH)
Requires(postun): libc.so.6(GLIBC_2.3)(64bit)
Requires(postun): libc.so.6()(64bit)
Requires(postun): libc6 >= 2.18+4.8
Requires(postun): libc.so.6(GLIBC_2.2.5)(64bit)
Requires(postun): libc.so.6(GLIBC_2.3.4)(64bit)
Requires(postun): /bin/sh
Suggests: update-rc.d

%description
A daemon for delivering ACPI events.

%package -n acpid-dbg
Summary: acpid version 1.0.10-r3 - Debugging files
Group: devel
Suggests: libc6-dbg(x86_64)
Recommends: acpid = 1.0.10-r3.0

%description -n acpid-dbg
A daemon for delivering ACPI events.  This package contains ELF symbols and
related sources for debugging purposes.

%package -n acpid-staticdev
Summary: acpid version 1.0.10-r3 - Development files (Static Libraries)
Group: devel
Requires: acpid-dev = 1.0.10-r3.0

%description -n acpid-staticdev
A daemon for delivering ACPI events.  This package contains static
libraries for software development.

%package -n acpid-dev
Summary: acpid version 1.0.10-r3 - Development files
Group: devel
Requires: acpid = 1.0.10-r3.0
Suggests: libc6-dev(x86_64)

%description -n acpid-dev
A daemon for delivering ACPI events.  This package contains symbolic links,
header files, and related items necessary for software development.

%package -n acpid-doc
Summary: acpid version 1.0.10-r3 - Documentation files
Group: doc

%description -n acpid-doc
A daemon for delivering ACPI events.  This package contains documentation.

%package -n acpid-locale
Summary: acpid version 1.0.10-r3
Group: base

%description -n acpid-locale
A daemon for delivering ACPI events.

%post
# acpid - postinst
#!/bin/sh
if test "x$D" != "x"; then
	OPT="-r $D"
else
	OPT="-s"
fi
if type update-rc.d >/dev/null 2>/dev/null; then
	update-rc.d $OPT acpid defaults
fi


%preun
# acpid - prerm
#!/bin/sh
if [ "$1" = "0" ] ; then
if test "x$D" = "x"; then
	/etc/init.d/acpid stop
fi
fi

%postun
# acpid - postrm
#!/bin/sh
if [ "$1" = "0" ] ; then
if test "$D" != ""; then
	OPT="-f -r $D"
else
	OPT=""
fi
if type update-rc.d >/dev/null 2>/dev/null; then
	update-rc.d $OPT acpid remove
fi
fi

%files
%defattr(-,-,-,-)
%dir "/usr"
%dir "/etc"
%dir "/usr/sbin"
%dir "/usr/bin"
"/usr/sbin/acpid"
"/usr/bin/acpi_listen"
%dir "/etc/acpi"
%dir "/etc/init.d"
%dir "/etc/acpi/events"
"/etc/init.d/acpid"

%files -n acpid-dbg
%defattr(-,-,-,-)
%dir "/usr"
%dir "/usr/sbin"
%dir "/usr/bin"
%dir "/usr/src"
%dir "/usr/sbin/.debug"
"/usr/sbin/.debug/acpid"
%dir "/usr/bin/.debug"
"/usr/bin/.debug/acpi_listen"
%dir "/usr/src/debug"
%dir "/usr/src/debug/acpid"
%dir "/usr/src/debug/acpid/1.0.10-r3"
%dir "/usr/src/debug/acpid/1.0.10-r3/acpid-1.0.10"
"/usr/src/debug/acpid/1.0.10-r3/acpid-1.0.10/ud_socket.c"
"/usr/src/debug/acpid/1.0.10-r3/acpid-1.0.10/acpid.c"
"/usr/src/debug/acpid/1.0.10-r3/acpid-1.0.10/ud_socket.h"
"/usr/src/debug/acpid/1.0.10-r3/acpid-1.0.10/event.c"
"/usr/src/debug/acpid/1.0.10-r3/acpid-1.0.10/acpi_listen.c"
"/usr/src/debug/acpid/1.0.10-r3/acpid-1.0.10/acpid.h"

%files -n acpid-dev
%defattr(-,-,-,-)

%files -n acpid-doc
%defattr(-,-,-,-)
%dir "/usr"
%dir "/usr/share"
%dir "/usr/share/man"
%dir "/usr/share/man/man8"
"/usr/share/man/man8/acpi_listen.8.gz"
"/usr/share/man/man8/acpid.8.gz"

